org.apache.cayenne.dba.firebird

## Class FirebirdEJBQLConditionTranslator

- java.lang.Object
- - org.apache.cayenne.ejbql.EJBQLBaseVisitor
  - - org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator
    - - org.apache.cayenne.dba.firebird.FirebirdEJBQLConditionTranslator

- All Implemented Interfaces:
    EJBQLExpressionVisitor

      public class FirebirdEJBQLConditionTranslator
      extends EJBQLConditionTranslator

  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator

      `context, multiColumnOperands`

    - ### Fields inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor

      `continueFlag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FirebirdEJBQLConditionTranslator(EJBQLTranslationContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visitLocate(EJBQLExpression expression, int finishedChildIndex)`
    `boolean` | `visitLower(EJBQLExpression expression, int finishedChildIndex)`
    `boolean` | `visitSubstring(EJBQLExpression expression, int finishedChildIndex)`
    `boolean` | `visitTrim(EJBQLExpression expression, int finishedChildIndex)`
    `boolean` | `visitTrimBoth(EJBQLExpression expression)`
    `boolean` | `visitTrimLeading(EJBQLExpression expression)`
    `boolean` | `visitTrimTrailing(EJBQLExpression expression)`

    - ### Methods inherited from class org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator

      `addMultiColumnOperand, afterChild, checkNullParameter, visitAbs, visitAdd, visitAggregate, visitAll, visitAnd, visitAny, visitBetween, visitBooleanLiteral, visitConcat, visitCurrentDate, visitCurrentTime, visitCurrentTimestamp, visitDbPath, visitDecimalLiteral, visitDivide, visitEquals, visitEscapeCharacter, visitExists, visitGreaterOrEqual, visitGreaterThan, visitIdentificationVariable, visitIn, visitIntegerLiteral, visitIsEmpty, visitIsNull, visitLength, visitLessOrEqual, visitLessThan, visitLike, visitMemberOf, visitMod, visitMultiply, visitNamedInputParameter, visitNamedInputParameterForIn, visitNot, visitNotEquals, visitOr, visitPath, visitPositionalInputParameter, visitPositionalInputParameterForIn, visitSize, visitSqrt, visitStringLiteral, visitSubselect, visitSubtract, visitTrimCharacter, visitUpper`

    - ### Methods inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor

      `visitAbstractSchemaName, visitAscending, visitAverage, visitClassName, visitConstructor, visitConstructorParameter, visitConstructorParameters, visitCount, visitDelete, visitDescending, visitDistinct, visitFrom, visitFromItem, visitGroupBy, visitHaving, visitIdentifier, visitInnerFetchJoin, visitInnerJoin, visitMax, visitMin, visitNegative, visitOrderBy, visitOrderByItem, visitOuterFetchJoin, visitOuterJoin, visitPatternValue, visitSelect, visitSelectClause, visitSelectExpression, visitSelectExpressions, visitSum, visitTok, visitUpdate, visitUpdateField, visitUpdateItem, visitUpdateValue, visitWhere`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FirebirdEJBQLConditionTranslator

          public FirebirdEJBQLConditionTranslator(EJBQLTranslationContext context)

  - ### Method Detail

    - #### visitTrim

          public boolean visitTrim(EJBQLExpression expression,
                                   int finishedChildIndex)

      Specified by:
        `visitTrim` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitTrim` in class `EJBQLConditionTranslator`

    - #### visitTrimLeading

          public boolean visitTrimLeading(EJBQLExpression expression)

      Specified by:
        `visitTrimLeading` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitTrimLeading` in class `EJBQLConditionTranslator`

    - #### visitTrimTrailing

          public boolean visitTrimTrailing(EJBQLExpression expression)

      Specified by:
        `visitTrimTrailing` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitTrimTrailing` in class `EJBQLConditionTranslator`

    - #### visitTrimBoth

          public boolean visitTrimBoth(EJBQLExpression expression)

      Specified by:
        `visitTrimBoth` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitTrimBoth` in class `EJBQLConditionTranslator`

    - #### visitLower

          public boolean visitLower(EJBQLExpression expression,
                                    int finishedChildIndex)

      Specified by:
        `visitLower` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitLower` in class `EJBQLConditionTranslator`

    - #### visitLocate

          public boolean visitLocate(EJBQLExpression expression,
                                     int finishedChildIndex)

      Specified by:
        `visitLocate` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitLocate` in class `EJBQLConditionTranslator`

    - #### visitSubstring

          public boolean visitSubstring(EJBQLExpression expression,
                                        int finishedChildIndex)

      Specified by:
        `visitSubstring` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitSubstring` in class `EJBQLConditionTranslator`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.